= nng_version(3)
//
// Copyright 2020 Staysail Systems, Inc. <info@staysail.tech>
// Copyright 2018 Capitar IT Group BV <info@capitar.com>
//
// This document is supplied under the terms of the MIT License, a
// copy of which should be located in the distribution where this
// file was obtained (LICENSE.txt).  A copy of the license may also be
// found online at https://opensource.org/licenses/MIT.
//

== NAME

nng_version - report library version

== SYNOPSIS

[source, c]
----
#include <nng/nng.h>

const char * nng_version(void);
----

== DESCRIPTION

The `nng_version()` function returns a human readable ((version number))
for _NNG_.

Additionally, compile time version information is available
via some predefined macros:

[horizontal]
((`NNG_MAJOR_VERSION`)):: Major version number.
((`NNG_MINOR_VERSION`)):: Minor version number.
((`NNG_PATCH_VERSION`)):: Patch version number.

_NNG_ is developed and released using
http://www.semver.org[Semantic Versioning 2.0], and
the version numbers reported refer to both the API and the
library itself.
(The ((ABI)) -- ((application binary interface)) -- between the
library and the application is controlled in a similar, but different
manner depending upon the link options and how the library is built.)

== RETURN VALUES

Null-terminated string containing the library version number.

== ERRORS

None.

== SEE ALSO

[.text-left]
xref:libnng.3.adoc[libnng(3)],
xref:nng.7.adoc[nng(7)]
